#include <nodelet/nodelet.h>
#include <ros/ros.h>
#include "boost/thread.hpp"

namespace autonom_a
{
	class NodeletTalker : public nodelet::Nodelet
	{
		public:
			virtual void onInit();
			NodeletTalker(ros::NodeHandle &nh, std::string &name);
			NodeletTalker();
			~NodeletTalker();
		private:
			ros::NodeHandle nh_;
			std::string name_;
			boost::thread tPub;
	};
}
